import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';

const width = window.innerWidth;
const height = window.innerHeight;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const noseWidth = 20;
const noseRadius = 30;
const mouthWidth = 20;
const mouthRadius = 140;
const mouth = arc()
    .innerRadius(noseRadius)
    .outerRadius(noseRadius+noseWidth)
    .startAngle(Math.PI*1.5)
    .endAngle(Math.PI*2.5);

const mouth2 = arc()
    .innerRadius(mouthRadius)
    .outerRadius(mouthRadius+mouthWidth)
    .startAngle(Math.PI/2)
    .endAngle(Math.PI*1.5);


const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <path d={mouth()}/>
      <path d={mouth2()}/>
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);